diff --git a/doc/bash.ps b/doc/bash.ps
index 7a1f7eb6..e3a221b8 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -1845,184 +1848,184 @@ F1(][l]U)A F0(The number of CPU seconds spent in user mode.)11.68 E F1
 F0(The CPU percentage, computed as \(%U + %S\) / %R.)33.89 E .87
 (The optional)144 718.8 R F4(p)3.37 E F0 .87(is a digit specifying the)
 3.37 F F4(pr)3.37 E(ecision)-.37 E F0 3.37(,t)C .87
-(he number of fractional digits after a decimal)-3.37 F 2.526(point. A)
-144 730.8 R -.25(va)2.526 G .025
-(lue of 0 causes no decimal point or fraction to be output.).25 F .025
+(he number of fractional digits after a decimal)-3.37 F 2.525(point. A)
+144 730.8 R -.25(va)2.525 G .025
+(lue of 0 causes no decimal point or fraction to be output.).25 F .026
 (At most three places after the)5.025 F(GNU Bash-3.2)72 768 Q
-(2006 December 26)135.965 E(14)185.955 E 0 Cg EP
+(2007 January 12)140.96 E(14)190.95 E 0 Cg EP
 %%Page: 15 15
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
--.35 E .537(decimal point may be speci\214ed; v)144 84 R .537(alues of)
--.25 F/F1 10/Times-Italic@0 SF(p)3.037 E F0 .537
-(greater than 3 are changed to 3.)3.037 F(If)5.538 E F1(p)3.038 E F0
-.538(is not speci\214ed,)3.038 F(the v)144 96 Q(alue 3 is used.)-.25 E
-.668(The optional)144 112.8 R/F2 10/Times-Bold@0 SF(l)3.168 E F0 .668
+-.35 E .538(decimal point may be speci\214ed; v)144 84 R .538(alues of)
+-.25 F/F1 10/Times-Italic@0 SF(p)3.038 E F0 .537
+(greater than 3 are changed to 3.)3.037 F(If)5.537 E F1(p)3.037 E F0
+.537(is not speci\214ed,)3.037 F(the v)144 96 Q(alue 3 is used.)-.25 E
+.667(The optional)144 112.8 R/F2 10/Times-Bold@0 SF(l)3.167 E F0 .668
 (speci\214es a longer format, including minutes, of the form)3.168 F F1
-(MM)3.168 E F0(m)A F1(SS)A F0(.)A F1(FF)A F0 3.167(s. The)B -.25(va)
-3.167 G(lue).25 E(of)144 124.8 Q F1(p)2.5 E F0
-(determines whether or not the fraction is included.)2.5 E(If this v)144
-141.6 Q(ariable is not set,)-.25 E F2(bash)2.501 E F0 .001
-(acts as if it had the v)2.501 F(alue)-.25 E F2($\010\\nr)2.501 E
-(eal\\t%3lR\\nuser\\t%3lU\\nsys%3lS\010)-.18 E F0(.)A .495(If the v)144
+(MM)3.168 E F0(m)A F1(SS)A F0(.)A F1(FF)A F0 3.168(s. The)B -.25(va)
+3.168 G(lue).25 E(of)144 124.8 Q F1(p)2.5 E F0
+(determines whether or not the fraction is included.)2.5 E .001
+(If this v)144 141.6 R .001(ariable is not set,)-.25 F F2(bash)2.501 E
+F0 .001(acts as if it had the v)2.501 F(alue)-.25 E F2($\010\\nr)2.5 E
+(eal\\t%3lR\\nuser\\t%3lU\\nsys%3lS\010)-.18 E F0(.)A .494(If the v)144
 153.6 R .494(alue is null, no timing information is displayed.)-.25 F
 2.994(At)5.494 G .494(railing ne)-2.994 F .494
 (wline is added when the for)-.25 F(-)-.2 E(mat string is displayed.)144
-165.6 Q F2(TMOUT)108 182.4 Q F0 .717(If set to a v)144 194.4 R .717
+165.6 Q F2(TMOUT)108 182.4 Q F0 .718(If set to a v)144 194.4 R .717
 (alue greater than zero,)-.25 F F2(TMOUT)3.217 E F0 .717
-(is treated as the def)3.217 F .718(ault timeout for the)-.1 F F2 -.18
-(re)3.218 G(ad).18 E F0 -.2(bu)3.218 G(iltin.).2 E(The)144 206.4 Q F2
+(is treated as the def)3.217 F .717(ault timeout for the)-.1 F F2 -.18
+(re)3.217 G(ad).18 E F0 -.2(bu)3.217 G(iltin.).2 E(The)144 206.4 Q F2
 (select)2.542 E F0 .042(command terminates if input does not arri)2.542
 F .342 -.15(ve a)-.25 H(fter).15 E F2(TMOUT)2.542 E F0 .042
-(seconds when input is com-)2.542 F .885(ing from a terminal.)144 218.4
-R .885(In an interacti)5.885 F 1.185 -.15(ve s)-.25 H .885(hell, the v)
-.15 F .886(alue is interpreted as the number of seconds to)-.25 F -.1
+(seconds when input is com-)2.542 F .886(ing from a terminal.)144 218.4
+R .886(In an interacti)5.886 F 1.185 -.15(ve s)-.25 H .885(hell, the v)
+.15 F .885(alue is interpreted as the number of seconds to)-.25 F -.1
 (wa)144 230.4 S .546(it for input after issuing the primary prompt.).1 F
 F2(Bash)5.546 E F0 .546(terminates after w)3.046 F .546
 (aiting for that number of)-.1 F(seconds if input does not arri)144
-242.4 Q -.15(ve)-.25 G(.).15 E F2(TMPDIR)108 259.2 Q F0 .273(If set,)144
-271.2 R F2(Bash)2.773 E F0 .273(uses its v)2.773 F .274
-(alue as the name of a directory in which)-.25 F F2(Bash)2.774 E F0 .274
-(creates temporary \214les for the)2.774 F(shell')144 283.2 Q 2.5(su)
--.55 G(se.)-2.5 E F2(auto_r)108 300 Q(esume)-.18 E F0 .531(This v)144
-312 R .531(ariable controls ho)-.25 F 3.031(wt)-.25 G .531
-(he shell interacts with the user and job control.)-3.031 F .53
-(If this v)5.53 F .53(ariable is set,)-.25 F .538(single w)144 324 R
+242.4 Q -.15(ve)-.25 G(.).15 E F2(TMPDIR)108 259.2 Q F0 .274(If set,)144
+271.2 R F2(Bash)2.774 E F0 .274(uses its v)2.774 F .274
+(alue as the name of a directory in which)-.25 F F2(Bash)2.773 E F0 .273
+(creates temporary \214les for the)2.773 F(shell')144 283.2 Q 2.5(su)
+-.55 G(se.)-2.5 E F2(auto_r)108 300 Q(esume)-.18 E F0 .53(This v)144 312
+R .53(ariable controls ho)-.25 F 3.03(wt)-.25 G .531
+(he shell interacts with the user and job control.)-3.03 F .531
+(If this v)5.531 F .531(ariable is set,)-.25 F .539(single w)144 324 R
 .538(ord simple commands without redirections are treated as candidates\
- for resumption of an)-.1 F -.15(ex)144 336 S .367(isting stopped job)
-.15 F 5.367(.T)-.4 G .366(here is no ambiguity allo)-5.367 F .366
-(wed; if there is more than one job be)-.25 F .366(ginning with)-.15 F
-1.124(the string typed, the job most recently accessed is selected.)144
-348 R(The)6.125 E F1(name)3.985 E F0 1.125(of a stopped job, in this)
-3.805 F(conte)144 360 Q 1.133(xt, is the command line used to start it.)
+ for resumption of an)-.1 F -.15(ex)144 336 S .366(isting stopped job)
+.15 F 5.366(.T)-.4 G .366(here is no ambiguity allo)-5.366 F .366
+(wed; if there is more than one job be)-.25 F .367(ginning with)-.15 F
+1.125(the string typed, the job most recently accessed is selected.)144
+348 R(The)6.125 E F1(name)3.985 E F0 1.124(of a stopped job, in this)
+3.805 F(conte)144 360 Q 1.132(xt, is the command line used to start it.)
 -.15 F 1.133(If set to the v)6.133 F(alue)-.25 E F1 -.2(ex)3.633 G(act)
-.2 E F0 3.632(,t).68 G 1.132(he string supplied must)-3.632 F .624
+.2 E F0 3.633(,t).68 G 1.133(he string supplied must)-3.633 F .625
 (match the name of a stopped job e)144 372 R .624(xactly; if set to)-.15
-F F1(substring)3.125 E F0 3.125(,t).22 G .625
-(he string supplied needs to match a)-3.125 F .885
+F F1(substring)3.124 E F0 3.124(,t).22 G .624
+(he string supplied needs to match a)-3.124 F .884
 (substring of the name of a stopped job)144 384 R 5.884(.T)-.4 G(he)
--5.884 E F1(substring)3.724 E F0 -.25(va)3.604 G .884(lue pro).25 F .884
-(vides functionality analogous to)-.15 F(the)144 396 Q F2(%?)3.333 E F0
-.833(job identi\214er \(see)5.833 F/F3 9/Times-Bold@0 SF .834(JOB CONTR)
+-5.884 E F1(substring)3.724 E F0 -.25(va)3.604 G .885(lue pro).25 F .885
+(vides functionality analogous to)-.15 F(the)144 396 Q F2(%?)3.334 E F0
+.834(job identi\214er \(see)5.834 F/F3 9/Times-Bold@0 SF .834(JOB CONTR)
 3.334 F(OL)-.27 E F0(belo)3.084 E 3.334(w\). If)-.25 F .834(set to an)
-3.334 F 3.334(yo)-.15 G .834(ther v)-3.334 F .834
-(alue, the supplied string)-.25 F .316
+3.334 F 3.334(yo)-.15 G .834(ther v)-3.334 F .833
+(alue, the supplied string)-.25 F .315
 (must be a pre\214x of a stopped job')144 408 R 2.816(sn)-.55 G .316
-(ame; this pro)-2.816 F .315(vides functionality analogous to the)-.15 F
-F2(%)2.815 E F1(string)A F0(job)2.815 E(identi\214er)144 420 Q(.)-.55 E
-F2(histchars)108 436.8 Q F0 2.069(The tw)144 448.8 R 4.57(oo)-.1 G 4.57
+(ame; this pro)-2.816 F .316(vides functionality analogous to the)-.15 F
+F2(%)2.816 E F1(string)A F0(job)2.816 E(identi\214er)144 420 Q(.)-.55 E
+F2(histchars)108 436.8 Q F0 2.07(The tw)144 448.8 R 4.57(oo)-.1 G 4.57
 (rt)-4.57 G 2.07(hree characters which control history e)-4.57 F 2.07
-(xpansion and tok)-.15 F 2.07(enization \(see)-.1 F F3(HIST)4.57 E(OR)
--.162 E(Y)-.315 E(EXP)144 460.8 Q(ANSION)-.666 E F0(belo)3.466 E 3.716
-(w\). The)-.25 F 1.216(\214rst character is the)3.716 F F1 1.215
-(history e)3.715 F(xpansion)-.2 E F0(character)3.715 E 3.715(,t)-.4 G
-1.215(he character which)-3.715 F .798(signals the start of a history e)
+(xpansion and tok)-.15 F 2.07(enization \(see)-.1 F F3(HIST)4.569 E(OR)
+-.162 E(Y)-.315 E(EXP)144 460.8 Q(ANSION)-.666 E F0(belo)3.465 E 3.715
+(w\). The)-.25 F 1.215(\214rst character is the)3.715 F F1 1.216
+(history e)3.715 F(xpansion)-.2 E F0(character)3.716 E 3.716(,t)-.4 G
+1.216(he character which)-3.716 F .798(signals the start of a history e)
 144 472.8 R .798(xpansion, normally `)-.15 F F2(!)A F0 3.298('. The)B
 .798(second character is the)3.298 F F1(quic)3.298 E 3.298(ks)-.2 G
-(ubstitu-)-3.298 E(tion)144 484.8 Q F0(character)2.74 E 2.74(,w)-.4 G
-.239(hich is used as shorthand for re-running the pre)-2.74 F .239
-(vious command entered, substitut-)-.25 F .575
+(ubstitu-)-3.298 E(tion)144 484.8 Q F0(character)2.739 E 2.739(,w)-.4 G
+.239(hich is used as shorthand for re-running the pre)-2.739 F .24
+(vious command entered, substitut-)-.25 F .576
 (ing one string for another in the command.)144 496.8 R .575(The def)
-5.575 F .575(ault is `)-.1 F F2(^)A F0 3.075('. The)B .576
-(optional third character is the)3.076 F .223(character which indicates\
+5.575 F .575(ault is `)-.1 F F2(^)A F0 3.075('. The)B .575
+(optional third character is the)3.075 F .223(character which indicates\
  that the remainder of the line is a comment when found as the \214rst \
-char)144 508.8 R(-)-.2 E 1.293(acter of a w)144 520.8 R 1.293
-(ord, normally `)-.1 F F2(#)A F0 3.793('. The)B 1.294
-(history comment character causes history substitution to be)3.794 F .38
-(skipped for the remaining w)144 532.8 R .38(ords on the line.)-.1 F
-.379(It does not necessarily cause the shell parser to treat)5.379 F
+char)144 508.8 R(-)-.2 E 1.294(acter of a w)144 520.8 R 1.294
+(ord, normally `)-.1 F F2(#)A F0 3.794('. The)B 1.293
+(history comment character causes history substitution to be)3.794 F
+.379(skipped for the remaining w)144 532.8 R .379(ords on the line.)-.1
+F .38(It does not necessarily cause the shell parser to treat)5.379 F
 (the rest of the line as a comment.)144 544.8 Q F2(Arrays)87 561.6 Q
 (Bash)108 573.6 Q F0(pro)2.958 E .458(vides one-dimensional array v)-.15
 F 2.958(ariables. An)-.25 F 2.958(yv)-.15 G .458
 (ariable may be used as an array; the)-3.208 F F2(declar)2.958 E(e)-.18
-E F0 -.2(bu)2.958 G(iltin).2 E .961(will e)108 585.6 R .961
-(xplicitly declare an array)-.15 F 5.961(.T)-.65 G .961
-(here is no maximum limit on the size of an array)-5.961 F 3.46(,n)-.65
-G .96(or an)-3.46 F 3.46(yr)-.15 G(equirement)-3.46 E
+E F0 -.2(bu)2.958 G(iltin).2 E .96(will e)108 585.6 R .96
+(xplicitly declare an array)-.15 F 5.96(.T)-.65 G .961
+(here is no maximum limit on the size of an array)-5.96 F 3.461(,n)-.65
+G .961(or an)-3.461 F 3.461(yr)-.15 G(equirement)-3.461 E
 (that members be inde)108 597.6 Q -.15(xe)-.15 G 2.5(do).15 G 2.5(ra)
 -2.5 G(ssigned contiguously)-2.5 E 5(.A)-.65 G(rrays are inde)-5 E -.15
 (xe)-.15 G 2.5(du).15 G(sing inte)-2.5 E(gers and are zero-based.)-.15 E
-1.301(An array is created automatically if an)108 614.4 R 3.801(yv)-.15
-G 1.302(ariable is assigned to using the syntax)-4.051 F F1(name)3.802 E
+1.302(An array is created automatically if an)108 614.4 R 3.801(yv)-.15
+G 1.301(ariable is assigned to using the syntax)-4.051 F F1(name)3.801 E
 F0([)A F1(subscript)A F0(]=)A F1(value)A F0(.)A(The)108 626.4 Q F1
-(subscript)3.182 E F0 .342(is treated as an arithmetic e)3.522 F .342
-(xpression that must e)-.15 F -.25(va)-.25 G .341
-(luate to a number greater than or equal to).25 F 4.076(zero. T)108
-638.4 R 4.076(oe)-.8 G 1.577(xplicitly declare an array)-4.226 F 4.077
+(subscript)3.181 E F0 .341(is treated as an arithmetic e)3.521 F .342
+(xpression that must e)-.15 F -.25(va)-.25 G .342
+(luate to a number greater than or equal to).25 F 4.077(zero. T)108
+638.4 R 4.077(oe)-.8 G 1.577(xplicitly declare an array)-4.227 F 4.077
 (,u)-.65 G(se)-4.077 E F2(declar)4.077 E 4.077<65ad>-.18 G(a)-4.077 E F1
-(name)4.077 E F0(\(see)4.077 E F3 1.577(SHELL B)4.077 F(UIL)-.09 E 1.577
-(TIN COMMANDS)-.828 F F0(belo)3.827 E(w\).)-.25 E F2(declar)108 650.4 Q
-3.376<65ad>-.18 G(a)-3.376 E F1(name)3.376 E F2([)A F1(subscript)A F2(])
-A F0 .876(is also accepted; the)3.376 F F1(subscript)3.375 E F0 .875
-(is ignored.)3.375 F(Attrib)5.875 E .875(utes may be speci\214ed for an)
+(name)4.077 E F0(\(see)4.077 E F3 1.577(SHELL B)4.077 F(UIL)-.09 E 1.576
+(TIN COMMANDS)-.828 F F0(belo)3.826 E(w\).)-.25 E F2(declar)108 650.4 Q
+3.375<65ad>-.18 G(a)-3.375 E F1(name)3.375 E F2([)A F1(subscript)A F2(])
+A F0 .875(is also accepted; the)3.375 F F1(subscript)3.375 E F0 .875
+(is ignored.)3.375 F(Attrib)5.875 E .876(utes may be speci\214ed for an)
 -.2 F(array v)108 662.4 Q(ariable using the)-.25 E F2(declar)2.5 E(e)
 -.18 E F0(and)2.5 E F2 -.18(re)2.5 G(adonly).18 E F0 -.2(bu)2.5 G 2.5
 (iltins. Each).2 F(attrib)2.5 E(ute applies to all members of an array)
 -.2 E(.)-.65 E 1.647
 (Arrays are assigned to using compound assignments of the form)108 679.2
 R F1(name)4.147 E F0(=)A F2(\()A F0 -.25(va)C(lue).25 E F1(1)A F0 1.647
-(... v)4.147 F(alue)-.25 E F1(n)A F2(\))A F0 4.148(,w)C 1.648(here each)
--4.148 F F1(value)108 691.2 Q F0 .65(is of the form [)3.15 F F1
+(... v)4.147 F(alue)-.25 E F1(n)A F2(\))A F0 4.147(,w)C 1.647(here each)
+-4.147 F F1(value)108 691.2 Q F0 .65(is of the form [)3.15 F F1
 (subscript)A F0(]=)A F1(string)A F0 5.65(.O)C(nly)-5.65 E F1(string)3.15
 E F0 .65(is required.)3.15 F .65(If the optional brack)5.65 F .65
-(ets and subscript are)-.1 F .276(supplied, that inde)108 703.2 R 2.776
-(xi)-.15 G 2.776(sa)-2.776 G .276(ssigned to; otherwise the inde)-2.776
-F 2.777(xo)-.15 G 2.777(ft)-2.777 G .277
-(he element assigned is the last inde)-2.777 F 2.777(xa)-.15 G .277
-(ssigned to)-2.777 F 1.394(by the statement plus one.)108 715.2 R(Inde)
-6.394 E 1.394(xing starts at zero.)-.15 F 1.393
-(This syntax is also accepted by the)6.394 F F2(declar)3.893 E(e)-.18 E
-F0 -.2(bu)3.893 G(iltin.).2 E(Indi)108 727.2 Q
+(ets and subscript are)-.1 F .277(supplied, that inde)108 703.2 R 2.777
+(xi)-.15 G 2.777(sa)-2.777 G .277(ssigned to; otherwise the inde)-2.777
+F 2.777(xo)-.15 G 2.777(ft)-2.777 G .276
+(he element assigned is the last inde)-2.777 F 2.776(xa)-.15 G .276
+(ssigned to)-2.776 F 1.393(by the statement plus one.)108 715.2 R(Inde)
+6.393 E 1.393(xing starts at zero.)-.15 F 1.394
+(This syntax is also accepted by the)6.394 F F2(declar)3.894 E(e)-.18 E
+F0 -.2(bu)3.894 G(iltin.).2 E(Indi)108 727.2 Q
 (vidual array elements may be assigned to using the)-.25 E F1(name)2.5 E
 F0([)A F1(subscript)A F0(]=)A F1(value)A F0(syntax introduced abo)2.5 E
--.15(ve)-.15 G(.).15 E(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E
-(15)185.955 E 0 Cg EP
+-.15(ve)-.15 G(.).15 E(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E
+(15)190.95 E 0 Cg EP
 %%Page: 16 16
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
--.35 E(An)108 84 Q 3.575(ye)-.15 G 1.075
-(lement of an array may be referenced using ${)-3.575 F/F1 10
-/Times-Italic@0 SF(name)A F0([)A F1(subscript)A F0 3.575(]}. The)B 1.076
-(braces are required to a)3.576 F -.2(vo)-.2 G(id).2 E 1.542
+-.35 E(An)108 84 Q 3.576(ye)-.15 G 1.076
+(lement of an array may be referenced using ${)-3.576 F/F1 10
+/Times-Italic@0 SF(name)A F0([)A F1(subscript)A F0 3.575(]}. The)B 1.075
+(braces are required to a)3.575 F -.2(vo)-.2 G(id).2 E 1.541
 (con\215icts with pathname e)108 96 R 4.041(xpansion. If)-.15 F F1
 (subscript)4.041 E F0(is)4.041 E/F2 10/Times-Bold@0 SF(@)4.041 E F0(or)
 4.041 E F2(*)4.041 E F0 4.041(,t)C 1.541(he w)-4.041 F 1.541(ord e)-.1 F
-1.541(xpands to all members of)-.15 F F1(name)4.041 E F0(.)A 1.056
-(These subscripts dif)108 108 R 1.056(fer only when the w)-.25 F 1.057
-(ord appears within double quotes.)-.1 F 1.057(If the w)6.057 F 1.057
-(ord is double-quoted,)-.1 F(${)108 120 Q F1(name)A F0 .521([*]} e)B
-.521(xpands to a single w)-.15 F .521(ord with the v)-.1 F .52
+1.541(xpands to all members of)-.15 F F1(name)4.042 E F0(.)A 1.057
+(These subscripts dif)108 108 R 1.057(fer only when the w)-.25 F 1.057
+(ord appears within double quotes.)-.1 F 1.056(If the w)6.056 F 1.056
+(ord is double-quoted,)-.1 F(${)108 120 Q F1(name)A F0 .52([*]} e)B .52
+(xpands to a single w)-.15 F .52(ord with the v)-.1 F .521
 (alue of each array member separated by the \214rst character)-.25 F
-1.374(of the)108 132 R/F3 9/Times-Bold@0 SF(IFS)3.874 E F0 1.374
-(special v)3.624 F 1.375(ariable, and ${)-.25 F F1(name)A F0 1.375
-([@]} e)B 1.375(xpands each element of)-.15 F F1(name)3.875 E F0 1.375
-(to a separate w)3.875 F 3.875(ord. When)-.1 F 2.028
+1.375(of the)108 132 R/F3 9/Times-Bold@0 SF(IFS)3.875 E F0 1.375
+(special v)3.625 F 1.375(ariable, and ${)-.25 F F1(name)A F0 1.375
+([@]} e)B 1.375(xpands each element of)-.15 F F1(name)3.875 E F0 1.374
+(to a separate w)3.875 F 3.874(ord. When)-.1 F 2.027
 (there are no array members, ${)108 144 R F1(name)A F0 2.028([@]} e)B
-2.028(xpands to nothing.)-.15 F 2.027(If the double-quoted e)7.028 F
-2.027(xpansion occurs)-.15 F .758(within a w)108 156 R .759(ord, the e)
+2.028(xpands to nothing.)-.15 F 2.028(If the double-quoted e)7.028 F
+2.028(xpansion occurs)-.15 F .759(within a w)108 156 R .759(ord, the e)
 -.1 F .759(xpansion of the \214rst parameter is joined with the be)-.15
-F .759(ginning part of the original w)-.15 F(ord,)-.1 E .516(and the e)
+F .759(ginning part of the original w)-.15 F(ord,)-.1 E .515(and the e)
 108 168 R .516(xpansion of the last parameter is joined with the last p\
-art of the original w)-.15 F 3.015(ord. This)-.1 F .515(is analogous)
-3.015 F .227(to the e)108 180 R .228(xpansion of the special parameters)
+art of the original w)-.15 F 3.016(ord. This)-.1 F .516(is analogous)
+3.016 F .228(to the e)108 180 R .228(xpansion of the special parameters)
 -.15 F F2(*)2.728 E F0(and)2.728 E F2(@)2.728 E F0(\(see)2.728 E F2 .228
-(Special P)2.728 F(arameters)-.1 E F0(abo)2.728 E -.15(ve)-.15 G 2.728
+(Special P)2.728 F(arameters)-.1 E F0(abo)2.727 E -.15(ve)-.15 G 2.727
 (\). ${#).15 F F1(name)A F0([)A F1(subscript)A F0(]})A -.15(ex)108 192 S
 .886(pands to the length of ${).15 F F1(name)A F0([)A F1(subscript)A F0
 3.386(]}. If)B F1(subscript)3.386 E F0(is)3.386 E F2(*)3.386 E F0(or)
 3.386 E F2(@)3.386 E F0 3.386(,t)C .886(he e)-3.386 F .886
-(xpansion is the number of ele-)-.15 F .733(ments in the array)108 204 R
-5.733(.R)-.65 G .733(eferencing an array v)-5.733 F .733
-(ariable without a subscript is equi)-.25 F -.25(va)-.25 G .734
+(xpansion is the number of ele-)-.15 F .734(ments in the array)108 204 R
+5.734(.R)-.65 G .733(eferencing an array v)-5.734 F .733
+(ariable without a subscript is equi)-.25 F -.25(va)-.25 G .733
 (lent to referencing element).25 F(zero.)108 216 Q(The)108 232.8 Q F2
-(unset)2.767 E F0 -.2(bu)2.767 G .267(iltin is used to destro).2 F 2.767
+(unset)2.766 E F0 -.2(bu)2.766 G .267(iltin is used to destro).2 F 2.767
 (ya)-.1 G(rrays.)-2.767 E F2(unset)5.267 E F1(name)2.767 E F0([)A F1
 (subscript)A F0 2.767(]d)C(estro)-2.767 E .267
-(ys the array element at inde)-.1 F(x)-.15 E F1(sub-)2.766 E(script)108
+(ys the array element at inde)-.1 F(x)-.15 E F1(sub-)2.767 E(script)108
 244.8 Q F0 6.38(.C)C 1.38(are must be tak)-6.38 F 1.38(en to a)-.1 F -.2
 (vo)-.2 G 1.38(id unw).2 F 1.38(anted side ef)-.1 F 1.38
 (fects caused by \214lename generation.)-.25 F F2(unset)6.38 E F1(name)
@@ -2030,40 +2033,40 @@ art of the original w)-.15 F 3.015(ord. This)-.1 F .515(is analogous)
 (,o)-.65 G(r)-2.5 E F2(unset)2.5 E F1(name)2.5 E F0([)A F1(subscript)A
 F0(], where)A F1(subscript)2.5 E F0(is)2.5 E F2(*)2.5 E F0(or)2.5 E F2
 (@)2.5 E F0 2.5(,r)C(emo)-2.5 E -.15(ve)-.15 G 2.5(st).15 G
-(he entire array)-2.5 E(.)-.65 E(The)108 273.6 Q F2(declar)3.671 E(e)
--.18 E F0(,)A F2(local)3.671 E F0 3.671(,a)C(nd)-3.671 E F2 -.18(re)
-3.671 G(adonly).18 E F0 -.2(bu)3.671 G 1.171(iltins each accept a).2 F
-F2<ad61>3.671 E F0 1.17(option to specify an array)3.671 F 6.17(.T)-.65
-G(he)-6.17 E F2 -.18(re)3.67 G(ad).18 E F0 -.2(bu)3.67 G(iltin).2 E .44
+(he entire array)-2.5 E(.)-.65 E(The)108 273.6 Q F2(declar)3.67 E(e)-.18
+E F0(,)A F2(local)3.67 E F0 3.67(,a)C(nd)-3.67 E F2 -.18(re)3.67 G
+(adonly).18 E F0 -.2(bu)3.67 G 1.17(iltins each accept a).2 F F2<ad61>
+3.671 E F0 1.171(option to specify an array)3.671 F 6.171(.T)-.65 G(he)
+-6.171 E F2 -.18(re)3.671 G(ad).18 E F0 -.2(bu)3.671 G(iltin).2 E .441
 (accepts a)108 285.6 R F2<ad61>2.941 E F0 .441
 (option to assign a list of w)2.941 F .441
 (ords read from the standard input to an array)-.1 F 5.441(.T)-.65 G(he)
--5.441 E F2(set)2.941 E F0(and)2.941 E F2(declar)2.941 E(e)-.18 E F0 -.2
+-5.441 E F2(set)2.941 E F0(and)2.941 E F2(declar)2.94 E(e)-.18 E F0 -.2
 (bu)108 297.6 S(iltins display array v).2 E(alues in a w)-.25 E
 (ay that allo)-.1 E(ws them to be reused as assignments.)-.25 E/F4 10.95
 /Times-Bold@0 SF(EXP)72 314.4 Q(ANSION)-.81 E F0 .76(Expansion is perfo\
 rmed on the command line after it has been split into w)108 326.4 R 3.26
 (ords. There)-.1 F .76(are se)3.26 F -.15(ve)-.25 G 3.26(nk).15 G .76
-(inds of)-3.26 F -.15(ex)108 338.4 S .369(pansion performed:).15 F F1
-(br)2.869 E .369(ace e)-.15 F(xpansion)-.2 E F0(,).24 E F1 .369(tilde e)
+(inds of)-3.26 F -.15(ex)108 338.4 S .37(pansion performed:).15 F F1(br)
+2.869 E .369(ace e)-.15 F(xpansion)-.2 E F0(,).24 E F1 .369(tilde e)
 2.869 F(xpansion)-.2 E F0(,).24 E F1(par)2.869 E .369
-(ameter and variable e)-.15 F(xpansion)-.2 E F0(,).24 E F1 .37
+(ameter and variable e)-.15 F(xpansion)-.2 E F0(,).24 E F1 .369
 (command sub-)2.869 F(stitution)108 350.4 Q F0(,).24 E F1(arithmetic e)
 2.5 E(xpansion)-.2 E F0(,).24 E F1(wor)2.5 E 2.5(ds)-.37 G(plitting)-2.5
 E F0 2.5(,a).22 G(nd)-2.5 E F1(pathname e)2.5 E(xpansion)-.2 E F0(.).24
-E .471(The order of e)108 367.2 R .471(xpansions is: brace e)-.15 F .471
+E .47(The order of e)108 367.2 R .471(xpansions is: brace e)-.15 F .471
 (xpansion, tilde e)-.15 F .471(xpansion, parameter)-.15 F 2.971(,v)-.4 G
-.47(ariable and arithmetic e)-3.221 F(xpansion)-.15 E
+.471(ariable and arithmetic e)-3.221 F(xpansion)-.15 E
 (and command substitution \(done in a left-to-right f)108 379.2 Q
 (ashion\), w)-.1 E(ord splitting, and pathname e)-.1 E(xpansion.)-.15 E
 (On systems that can support it, there is an additional e)108 396 Q
 (xpansion a)-.15 E -.25(va)-.2 G(ilable:).25 E F1(pr)2.5 E
-(ocess substitution)-.45 E F0(.)A 1.486(Only brace e)108 412.8 R 1.486
-(xpansion, w)-.15 F 1.486(ord splitting, and pathname e)-.1 F 1.487
-(xpansion can change the number of w)-.15 F 1.487(ords of the)-.1 F -.15
-(ex)108 424.8 S 1.165(pansion; other e).15 F 1.165(xpansions e)-.15 F
-1.165(xpand a single w)-.15 F 1.165(ord to a single w)-.1 F 3.665
-(ord. The)-.1 F 1.164(only e)3.665 F 1.164(xceptions to this are the)
+(ocess substitution)-.45 E F0(.)A 1.487(Only brace e)108 412.8 R 1.487
+(xpansion, w)-.15 F 1.487(ord splitting, and pathname e)-.1 F 1.487
+(xpansion can change the number of w)-.15 F 1.486(ords of the)-.1 F -.15
+(ex)108 424.8 S 1.164(pansion; other e).15 F 1.164(xpansions e)-.15 F
+1.164(xpand a single w)-.15 F 1.165(ord to a single w)-.1 F 3.665
+(ord. The)-.1 F 1.165(only e)3.665 F 1.165(xceptions to this are the)
 -.15 F -.15(ex)108 436.8 S(pansions of ").15 E F2($@)A F0 2.5("a)C(nd ")
 -2.5 E F2(${)A F1(name)A F2([@]})A F0 2.5("a)C 2.5(se)-2.5 G
 (xplained abo)-2.65 E .3 -.15(ve \()-.15 H(see).15 E F3 -.666(PA)2.5 G
@@ -2074,55 +2077,55 @@ Q F1(Br)108.58 465.6 Q .606(ace e)-.15 F(xpansion)-.2 E F0 .606
 (pathname e)2.915 F(xpansion)-.2 E F0 2.915(,b)C .415
 (ut the \214lenames generated need not e)-3.115 F 2.915(xist. P)-.15 F
 .415(atterns to be brace e)-.15 F .415(xpanded tak)-.15 F 2.915(et)-.1 G
-(he)-2.915 E .151(form of an optional)108 489.6 R F1(pr)2.651 E(eamble)
+(he)-2.915 E .152(form of an optional)108 489.6 R F1(pr)2.652 E(eamble)
 -.37 E F0 2.651(,f).18 G(ollo)-2.651 E .151
 (wed by either a series of comma-separated strings or a sequence e)-.25
 F(xpres-)-.15 E .563(sion between a pair of braces, follo)108 501.6 R
 .563(wed by an optional)-.25 F F1(postscript)3.063 E F0 5.563(.T).68 G
 .563(he preamble is pre\214x)-5.563 F .563(ed to each string)-.15 F .659
 (contained within the braces, and the postscript is then appended to ea\
-ch resulting string, e)108 513.6 R .659(xpanding left to)-.15 F(right.)
-108 525.6 Q .719(Brace e)108 542.4 R .719(xpansions may be nested.)-.15
+ch resulting string, e)108 513.6 R .658(xpanding left to)-.15 F(right.)
+108 525.6 Q .718(Brace e)108 542.4 R .719(xpansions may be nested.)-.15
 F .719(The results of each e)5.719 F .719
 (xpanded string are not sorted; left to right order is)-.15 F(preserv)
 108 554.4 Q 2.5(ed. F)-.15 F(or e)-.15 E(xample, a)-.15 E F2({)A F0
-(d,c,b)A F2(})A F0 2.5(ee)C(xpands into `ade ace abe'.)-2.65 E 3.133(As)
-108 571.2 S .633(equence e)-3.133 F .633(xpression tak)-.15 F .633
-(es the form)-.1 F F2({)3.133 E F1(x)A F2(..)A F1(y)A F2(})A F0 3.133
-(,w)C(here)-3.133 E F1(x)3.133 E F0(and)3.134 E F1(y)3.134 E F0 .634
-(are either inte)3.134 F .634(gers or single characters.)-.15 F(When)
-5.634 E(inte)108 583.2 Q .402(gers are supplied, the e)-.15 F .402
+(d,c,b)A F2(})A F0 2.5(ee)C(xpands into `ade ace abe'.)-2.65 E 3.134(As)
+108 571.2 S .634(equence e)-3.134 F .634(xpression tak)-.15 F .634
+(es the form)-.1 F F2({)3.134 E F1(x)A F2(..)A F1(y)A F2(})A F0 3.134
+(,w)C(here)-3.134 E F1(x)3.134 E F0(and)3.134 E F1(y)3.133 E F0 .633
+(are either inte)3.133 F .633(gers or single characters.)-.15 F(When)
+5.633 E(inte)108 583.2 Q .401(gers are supplied, the e)-.15 F .401
 (xpression e)-.15 F .401(xpands to each number between)-.15 F F1(x)2.901
-E F0(and)2.901 E F1(y)2.901 E F0 2.901(,i)C(nclusi)-2.901 E -.15(ve)-.25
-G 5.401(.W).15 G .401(hen characters)-5.401 F .687(are supplied, the e)
+E F0(and)2.902 E F1(y)2.902 E F0 2.902(,i)C(nclusi)-2.902 E -.15(ve)-.25
+G 5.402(.W).15 G .402(hen characters)-5.402 F .688(are supplied, the e)
 108 595.2 R .688(xpression e)-.15 F .688(xpands to each character le)
 -.15 F .688(xicographically between)-.15 F F1(x)3.188 E F0(and)3.188 E
-F1(y)3.188 E F0 3.188(,i)C(nclusi)-3.188 E -.15(ve)-.25 G 5.688(.N).15 G
-(ote)-5.688 E(that both)108 607.2 Q F1(x)2.5 E F0(and)2.5 E F1(y)2.5 E
-F0(must be of the same type.)2.5 E .582(Brace e)108 624 R .582
-(xpansion is performed before an)-.15 F 3.082(yo)-.15 G .581(ther e)
--3.082 F .581(xpansions, and an)-.15 F 3.081(yc)-.15 G .581
-(haracters special to other e)-3.081 F(xpansions)-.15 E .015
-(are preserv)108 636 R .015(ed in the result.)-.15 F .015
-(It is strictly te)5.015 F(xtual.)-.15 E F2(Bash)5.016 E F0 .016
-(does not apply an)2.516 F 2.516(ys)-.15 G .016
-(yntactic interpretation to the con-)-2.516 F(te)108 648 Q(xt of the e)
--.15 E(xpansion or the te)-.15 E(xt between the braces.)-.15 E 3.633(Ac)
-108 664.8 S 1.133(orrectly-formed brace e)-3.633 F 1.132(xpansion must \
+F1(y)3.188 E F0 3.187(,i)C(nclusi)-3.187 E -.15(ve)-.25 G 5.687(.N).15 G
+(ote)-5.687 E(that both)108 607.2 Q F1(x)2.5 E F0(and)2.5 E F1(y)2.5 E
+F0(must be of the same type.)2.5 E .581(Brace e)108 624 R .581
+(xpansion is performed before an)-.15 F 3.081(yo)-.15 G .581(ther e)
+-3.081 F .581(xpansions, and an)-.15 F 3.082(yc)-.15 G .582
+(haracters special to other e)-3.082 F(xpansions)-.15 E .016
+(are preserv)108 636 R .016(ed in the result.)-.15 F .016
+(It is strictly te)5.016 F(xtual.)-.15 E F2(Bash)5.016 E F0 .015
+(does not apply an)2.516 F 2.515(ys)-.15 G .015
+(yntactic interpretation to the con-)-2.515 F(te)108 648 Q(xt of the e)
+-.15 E(xpansion or the te)-.15 E(xt between the braces.)-.15 E 3.632(Ac)
+108 664.8 S 1.132(orrectly-formed brace e)-3.632 F 1.132(xpansion must \
 contain unquoted opening and closing braces, and at least one)-.15 F
-3.44(unquoted comma or a v)108 676.8 R 3.441(alid sequence e)-.25 F
+3.441(unquoted comma or a v)108 676.8 R 3.441(alid sequence e)-.25 F
 5.941(xpression. An)-.15 F 5.941(yi)-.15 G 3.441
-(ncorrectly formed brace e)-5.941 F 3.441(xpansion is left)-.15 F 2.755
+(ncorrectly formed brace e)-5.941 F 3.44(xpansion is left)-.15 F 2.755
 (unchanged. A)108 688.8 R F2({)2.755 E F0(or)2.755 E F2(,)2.755 E F0
 .255(may be quoted with a backslash to pre)2.755 F -.15(ve)-.25 G .255
-(nt its being considered part of a brace e).15 F(xpres-)-.15 E 2.91
-(sion. T)108 700.8 R 2.91(oa)-.8 G -.2(vo)-3.11 G .41
+(nt its being considered part of a brace e).15 F(xpres-)-.15 E 2.911
+(sion. T)108 700.8 R 2.911(oa)-.8 G -.2(vo)-3.111 G .411
 (id con\215icts with parameter e).2 F .411(xpansion, the string)-.15 F
-F2(${)2.911 E F0 .411(is not considered eligible for brace e)2.911 F
+F2(${)2.911 E F0 .41(is not considered eligible for brace e)2.911 F
 (xpan-)-.15 E(sion.)108 712.8 Q 1.476(This construct is typically used \
 as shorthand when the common pre\214x of the strings to be generated is)
-108 729.6 R(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E(16)185.955
-E 0 Cg EP
+108 729.6 R(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(16)190.95 E 0
+Cg EP
 %%Page: 17 17
 %%BeginPageSetup
 BP
